For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Edit
HomeAPI Reference
HomeAPI Reference
  • Overview
    • API reference
  • Swagger Plant Store - OpenAPI 3.1
      • GETLogs user into the system
      • GETLogs out current logged-in user session
      • GETGet user by username
  • Plant Store AsyncAPI
Edit
LogoLogo
Swagger Plant Store - OpenAPI 3.1user

Get user by username

|View as Markdown|Open in Claude|
GET
https://api.plantstore.dev/v3/user/:username
GET
/v3/user/:username
$curl https://api.plantstore.dev/v3/user/username \
> -H "Content-Type: application/json"
200User details response
1{
2 "id": 42,
3 "username": "alice_wonder",
4 "email": "alice.wonderland@example.com"
5}
Retrieve user details using their username.
Was this page helpful?
Previous

Logs out current logged-in user session

Next

plantEvents

Built with

Path parameters

usernamestringRequired
Username of the user to retrieve

Response

User details retrieved successfully
idinteger
usernamestring
emailstring